Skip to main content
POST
Create a payment transaction

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

memberId
string
required

The id of the member, max length 36.

Maximum string length: 36

Body

Reservation operation details.

operationId
string
required

Unique identifier of reserve operation (should be same only for retries of the same operation).

Required string length: 1 - 128
amount
number<double>
required

Amount to be reserved. Can be only positive.

reserveAvailable
boolean
required

Indicates whether to reserve account's available balance if it is less than amount to reserve.

metadata
object | null

Set of key-value pairs that you can attach to a payment transaction. This can be useful for storing additional information about the transaction in a structured format.

accountType
string | null

Account type to be used (optional)

Response

OK

transactionId
integer<int64>
required

Unique transaction id of the reservation.

reservedAmount
number<double>
required

Amount which has been reserved.

conversionRate
number<double>
required

Amount which has been reserved.

Last modified on August 10, 2026